# Copyright (c) 2012 Pascal Bleser <pascal.bleser@opensuse.org>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/

# vim: set ts=4 sw=4 et:

Name:           nload
BuildRequires:  gcc-c++
BuildRequires:  ncurses-devel
BuildRequires:  automake
BuildRequires:  autoconf
Url:            http://www.roland-riegel.de/nload/
Version:        0.7.4
Release:        2.3
License:        GPL-2.0+
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Group:          Productivity/Networking/Diagnostic
Summary:        Monitors network traffic and bandwidth usage
Source:         http://www.roland-riegel.de/nload/nload-%{version}.tar.gz
Patch1:         form_h_paths.diff
Patch2:         GNU_address_update.diff

%description
nload is a console application which monitors network traffic and bandwidth
usage in real time. It visualizes the in- and outgoing traffic using two graphs
and provides additional info like total amount of transfered data and min/max
network usage.

%prep
%autosetup -p1

%build
./run_autotools
%configure
make %{?_smp_flags}

%install
%makeinstall

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_bindir}/%{name}
%doc %{_mandir}/man1/%{name}.1*

%changelog
* Thu Feb 22 2024 Dominique Leuenberger <dimstar@opensuse.org>
- Use %%autosetup macro. Allows to eliminate the usage of deprecated
  %%patchN
* Thu Jul 14 2016 adam.majer@suse.de
- use standard SPDX license names in spec License field
- GNU_address_update.diff:
  * update GNU foundation address in COPYING to current
* Thu Jun 30 2016 adam.majer@suse.de
- replace nload-ncurses.patch with form_h_paths.diff:
  There is no need to hardcoded these paths when we can detect them
  propertly and send patch upstream.
- simplify spec file
* Sun Feb 12 2012 pascal.bleser@opensuse.org
- update to 0.7.4:
* Sun Jun 12 2011 pascal.bleser@opensuse.org
- update to 0.7.3:
  * fix calculation of traffic and data units (fixes Debian bug #586943)
  * fix memory leak in BSD network device detection
  * workaround for faulty newwin() in ncurses 5.8
  * correctly escape minus signs in man page
* Tue Apr 28 2009 cgoncalves@opensuse.org
- initial release (version 0.7.2)
